function systemCookieTest(_args) {
	function alertCookies(cookies) {
		if (cookies != null) {
			var len = cookies.length;
			var info = "";
			for ( i = 0; i < len; i++) {
				info += ">>> name: " + cookies[i].name + ", value: " + cookies[i].value + ", domain: " + cookies[i].domain + ", path: " + cookies[i].path + ", expiryDate: " + cookies[i].expiryDate + "\n";
			}
			alert(info);
		} else {
			alert("null");
		}
	}

	var cookie1 = Ti.Network.createCookie({
		name : "cookie1",
		value : "value1",
		domain : ".mydomain.com",
		path : "/",
		expiryDate : "2014-01-01T00:00:00.000+0000"
	});

	var cookie2 = Ti.Network.createCookie({
		name : "COOKIE1"
	});
	cookie2.value = "value2";
	cookie2.domain = ".mydomain.com";

	var cookie3 = Ti.Network.createCookie({
		name : "cookie3",
		value : "value3",
		domain : ".mydomain.com",
		path : "/foo/",
		expiryDate : "2014-01-01T00:00:00.000+0000"
	});

	var cookie4 = Ti.Network.createCookie({
		name : "cookie4",
		value : "value4",
		domain : "www.mydomain.com",
		path : "/",
		expiryDate : "2014-01-01T00:00:00.000+0000"
	});

	var cookie5 = Ti.Network.createCookie({
		name : "cookie5",
		value : "value5",
		domain : "www.mydomain.com",
		path : "/FOO/",
		expiryDate : "2014-01-01T00:00:00.000+0000"
	});

	var win = Ti.UI.createWindow({
		backgroundColor : "white"
	});

	var scrollView = Ti.UI.createScrollView({
		top : 0,
		left : 0,
		layout : "vertical"
	});

	win.add(scrollView);

	var b_add_sys = Ti.UI.createButton({
		title : "add system cookies"
	});
	b_add_sys.addEventListener("click", function() {
		Ti.Network.addSystemCookie(cookie1);
		Ti.Network.addSystemCookie(cookie2);
		Ti.Network.addSystemCookie(cookie3);
		Ti.Network.addSystemCookie(cookie4);
		Ti.Network.addSystemCookie(cookie5);
	});

	var b_get1_sys = Ti.UI.createButton({
		title : "get system cookies: mydomain.com, /, null"
	});
	b_get1_sys.addEventListener("click", function() {
		var cookies = Ti.Network.getSystemCookies("mydomain.com", "/", null);
		alertCookies(cookies);
	});

	var b_get2_sys = Ti.UI.createButton({
		title : "get system cookies: www.mydomain.com, /, null"
	});
	b_get2_sys.addEventListener("click", function() {
		var cookies = Ti.Network.getSystemCookies("www.mydomain.com", "/", null);
		alertCookies(cookies);
	});

	var b_get3_sys = Ti.UI.createButton({
		title : "get system cookies: .mydomain.com, /foo/, null"
	});
	b_get3_sys.addEventListener("click", function() {
		var cookies = Ti.Network.getSystemCookies(".mydomain.com", "/foo/", null);
		alertCookies(cookies);
	});

	var b_get4_sys = Ti.UI.createButton({
		title : "get system cookies: www.mydomain.com, /foo/, null"
	});
	b_get4_sys.addEventListener("click", function() {
		var cookies = Ti.Network.getSystemCookies("www.mydomain.com", "/foo/", null);
		alertCookies(cookies);
	});

	var b_get5_sys = Ti.UI.createButton({
		title : "get system cookies: www.mydomain.com, /FOO/, cookie5"
	});
	b_get5_sys.addEventListener("click", function() {
		var cookies = Ti.Network.getSystemCookies("www.mydomain.com", "/FOO/", "cookie5");
		alertCookies(cookies);
	});

	b_remove1_sys = Ti.UI.createButton({
		title : "remove system cookies: .mydomain.com, null, COOKIE1"
	});
	b_remove1_sys.addEventListener("click", function() {
		Ti.Network.removeSystemCookie(".mydomain.com", null, "COOKIE1");
	});

	b_remove2_sys = Ti.UI.createButton({
		title : "remove all system cookies"
	});
	b_remove2_sys.addEventListener("click", function() {
		Ti.Network.removeAllSystemCookies();
	});

	scrollView.add(b_add_sys);
	scrollView.add(b_remove1_sys);
	scrollView.add(b_remove2_sys);
	scrollView.add(b_get1_sys);
	scrollView.add(b_get2_sys);
	scrollView.add(b_get3_sys);
	scrollView.add(b_get4_sys);
	scrollView.add(b_get5_sys);

	return win;
}

module.exports = systemCookieTest; 